@ECHO OFF

xcopy /y %TEMP%\blcksock.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\synsock.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\synafpc.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\synautil.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\synacode.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\synaip.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\httpsend.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ssl_openssl.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ssl_openssl_lib.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ituObjectSearchManager.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ituVCLUIController.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ituUIController.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ituInterfaceFactory.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\mxuConnectionClient.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\mxuInterfaceCommCenter.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\utuField.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\utuFields.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\utuMessage.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\utuMessageQueue.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\utuWinMessagesHook.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuContainers.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuObject.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\utuLink.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\utuLinksManager.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\utuLinkSock.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\utuLinkHttp.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\utuProtectedList.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\mxuCommCenter.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\utuFactory.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuCollection.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acOQL.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\cxuSession.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuSystem.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuLocale.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\utuSysUtils.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\strs.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\xmls.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\xsdins.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuRandomNumber.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR

xcopy /y %TEMP%\KAZip.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR

xcopy /y %TEMP%\acuVersionInfo.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR


xcopy /y %TEMP%\xsdedit.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\xsdedit.dfm .
IF ERRORLEVEL 1 GOTO ENDERROR


xcopy /y %TEMP%\ituExceptionDetailsDialog.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ituExceptionDetailsDialog.dfm .
IF ERRORLEVEL 1 GOTO ENDERROR

xcopy /y %TEMP%\ituMapeamentoExternoOperacoes.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ituMapeamentoExternoOperacoes.dfm .
IF ERRORLEVEL 1 GOTO ENDERROR

xcopy /y %TEMP%\siuBuscaObjetosBasicaPortal.pas .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\siuBuscaObjetosBasicaPortal.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\siuBuscaObjetosBasicaPortal.dfm .
IF ERRORLEVEL 1 GOTO ENDERROR

xcopy /y %TEMP%\siuBuscaObjetosBasicaV3.pas .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\siuBuscaObjetosBasicaV3.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\siuBuscaObjetosBasicaV3.dfm .
IF ERRORLEVEL 1 GOTO ENDERROR

xcopy /y %TEMP%\siuBuscaObjetos.pas .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\siuBuscaObjetos.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\siuBuscaObjetos.dfm .
IF ERRORLEVEL 1 GOTO ENDERROR

xcopy /y %TEMP%\ituLogin.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ituLogin.dfm .
IF ERRORLEVEL 1 GOTO ENDERROR

xcopy /y %TEMP%\ituLoginPortalStd.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ituLoginPortalStd.dfm .
IF ERRORLEVEL 1 GOTO ENDERROR

xcopy /y %TEMP%\ituMain.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ituMain.dfm .
IF ERRORLEVEL 1 GOTO ENDERROR

xcopy /y %TEMP%\ituMainPortal.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ituMainPortal.dfm .
IF ERRORLEVEL 1 GOTO ENDERROR

xcopy /y %TEMP%\ituCadastroBasicoV4.pas .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ituCadastroBasicoV4.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ituCadastroBasicoV4.dfm .
IF ERRORLEVEL 1 GOTO ENDERROR

xcopy /y %TEMP%\ituCadastroBasicoV41.pas .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ituCadastroBasicoV41.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ituCadastroBasicoV41.dfm .
IF ERRORLEVEL 1 GOTO ENDERROR

xcopy /y %TEMP%\acuApplicationConsole.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuApplicationConsole.dfm .
IF ERRORLEVEL 1 GOTO ENDERROR

xcopy /y %TEMP%\acuObjectExplorer.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuObjectExplorer.dfm .
IF ERRORLEVEL 1 GOTO ENDERROR

xcopy /y %TEMP%\dbuDataModule.dfm .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\siuBuscaLogAtualizacaoSistema.dfm .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\siuBuscaNaturezas.dfm .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\siuBuscaObjetosUsuarioV4.dfm .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ituExplorerV4.dfm .
IF ERRORLEVEL 1 GOTO ENDERROR

xcopy /y %TEMP%\ituPropriedadesDoServico.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ituPropriedadesDoServico.dfm .
IF ERRORLEVEL 1 GOTO ENDERROR

xcopy /y %TEMP%\ituGenericUseCaseExecutor.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ituGenericUseCaseExecutor.dfm .
IF ERRORLEVEL 1 GOTO ENDERROR

xcopy /y %TEMP%\acuMenuManager.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR

xcopy /y %TEMP%\ituCadastroPerfil.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ituCadastroPerfil.dfm .
IF ERRORLEVEL 1 GOTO ENDERROR

xcopy /y %TEMP%\siuBuscaObjetosPerfil.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\siuBuscaObjetosPerfil.dfm .

xcopy /y %TEMP%\fruReport.pas .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\fruReport.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\fruReport.DFM .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ituReport.pas .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ituReport.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\ituReport.DFM .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acExcelExport.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\cxuAguarde.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\cxuAguarde.DFM .
IF ERRORLEVEL 1 GOTO ENDERROR

xcopy /y %TEMP%\cxuPortalMain.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\cxuUseCaseDll.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\cxuUseCase.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\acuVersionInfo.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\cxuGUIHelper.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR
xcopy /y %TEMP%\cxuGUIActivator.dcu .
IF ERRORLEVEL 1 GOTO ENDERROR



GOTO ENDOK


:ENDERROR
ECHO .
ECHO ================================================================
ECHO ERRO NA EXECUCAO
ECHO ================================================================
ECHO . 
GOTO END

:ENDOK
ECHO .
ECHO ================================================================
ECHO PROCESSO EXECUTADO COM SUCESSO
ECHO ================================================================
ECHO . 
GOTO END


:END
pause